Subject: bug#9902: 24.0.90; Assertion failed: WINDOWP in xdisp.c

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Oct 2011 12:05:22 +0200

> Date: Sat, 29 Oct 2011 11:39:33 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > From: Chong Yidong <[email-masked]>
> > Date: Sat, 29 Oct 2011 13:55:06 +0800
> > Cc: [email-masked]
> > 
> > Christoph Scholtes <[email-masked]> writes:
> > 
> > > #0  0x76d6280d in KERNELBASE!DeleteAce ()
> > >    from /cygdrive/c/Windows/syswow64/KERNELBASE.dll
> > > No symbol table info available.
> > > #1  0x0115009f in w32_abort () at w32fns.c:7196
> > >         button = 6
> > > #2  0x01042286 in die (
> > >     msg=0x15aa4b4 "assertion failed: WINDOWP (hlinfo->mouse_face_window)",
> > >     file=0x159d4e8 "xdisp.c", line=25483) at alloc.c:6261
> > > No locals.
> > > #3  0x0122954d in show_mouse_face (hlinfo=0x1633420, draw=DRAW_NORMAL_TEXT)
> > >     at xdisp.c:25483
> > >         w = 0xffffffff
> > >         f = 0x88e40c
> > > #4  0x012299cd in clear_mouse_face (hlinfo=0x1633420) at xdisp.c:25613
> > >         cleared = 0
> > 
> > Please do
> > 
> > f 3
> > pp hlinfo->mouse_face_window
> 
> My crystal ball says this will produce "nil".  If so, I think I fixed
> this in revision 106232 on the trunk.

Actually, my crystal ball was quite cloudy and therefore wrong:
clear_mouse_face already protects itself against nil.

So I reverted the changes in revision 106232.

I wonder what could mouse_face_window be, though, if it's neither a
window nor nil.